//
// Created by doggo on 03/03/2021.
//

#ifndef YERBACON_MISC_HPP
#define YERBACON_MISC_HPP

#ifndef YBCON_VERSION
#define YBCON_VERSION "UNKNOWN"
#endif

#include <string>
std::string getVersion() noexcept { return YBCON_VERSION; }

string getFileContent(const string& file);
void setOutputFileContent(const string& language, const string& file, const string& content);

#include "ParseComponents.hpp"
ParseTree parseString(const unique_ptr<string>& toParse);
string transpile(ParseTree toTranspile, string language);

#endif //YERBACON_MISC_HPP
